POST api/Challenges/AddCompletedTarget

Request Information

URI Parameters

None.

Body Parameters

CompletedTargetModel
NameDescriptionTypeAdditional information
accountId

integer

None.

challengeIds

Collection of CompletedTargets

None.

Request Formats

application/json, text/json

Sample:
{
  "accountId": 1,
  "challengeIds": [
    {
      "challengeId": 1,
      "date": "2026-04-12T17:54:48.4005789+03:00"
    },
    {
      "challengeId": 1,
      "date": "2026-04-12T17:54:48.4005789+03:00"
    }
  ]
}

text/plain, application/octet-stream

Sample:
{"accountId":1,"challengeIds":[{"challengeId":1,"date":"2026-04-12T17:54:48.4005789+03:00"},{"challengeId":1,"date":"2026-04-12T17:54:48.4005789+03:00"}]}

application/xml, text/xml

Sample:
<CompletedTargetModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges">
  <accountId>1</accountId>
  <challengeIds>
    <CompletedTargets>
      <challengeId>1</challengeId>
      <date>2026-04-12T17:54:48.4005789+03:00</date>
    </CompletedTargets>
    <CompletedTargets>
      <challengeId>1</challengeId>
      <date>2026-04-12T17:54:48.4005789+03:00</date>
    </CompletedTargets>
  </challengeIds>
</CompletedTargetModel>

multipart/form-data, application/form-data

Sample:
<CompletedTargetModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><accountId>1</accountId><challengeIds><CompletedTargets><challengeId>1</challengeId><date>2026-04-12T17:54:48.4005789+03:00</date></CompletedTargets><CompletedTargets><challengeId>1</challengeId><date>2026-04-12T17:54:48.4005789+03:00</date></CompletedTargets></challengeIds></CompletedTargetModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.